Bug 1731491 - SELinux is preventing cp from 'create' accesses on the lnk_file user.
Summary: SELinux is preventing cp from 'create' accesses on the lnk_file user.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2cc9c26b4df99166c629eadd581...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 14:22 UTC by Tim Diillenberger
Modified: 2020-05-26 16:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:24:13 UTC
Type: ---


Attachments (Terms of Use)

Description Tim Diillenberger 2019-07-19 14:22:51 UTC
Description of problem:
SELinux is preventing cp from 'create' accesses on the lnk_file user.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that cp should be allowed create access on the user lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'cp' --raw | audit2allow -M my-cp
# semodule -X 300 -i my-cp.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                unconfined_u:object_r:snappy_home_t:s0
Target Objects                user [ lnk_file ]
Source                        cp
Source Path                   cp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-40.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.1.17-300.fc30.x86_64 #1 SMP Wed
                              Jul 10 15:20:27 UTC 2019 x86_64 x86_64
Alert Count                   1
First Seen                    2019-07-19 08:50:18 CDT
Last Seen                     2019-07-19 08:50:18 CDT
Local ID                      adfd7489-26d7-4c13-aef8-165661d630f9

Raw Audit Messages
type=AVC msg=audit(1563544218.385:301): avc:  denied  { create } for  pid=11177 comm="cp" name="user" scontext=system_u:system_r:snappy_t:s0 tcontext=unconfined_u:object_r:snappy_home_t:s0 tclass=lnk_file permissive=1


Hash: cp,snappy_t,snappy_home_t,lnk_file,create

Version-Release number of selected component:
selinux-policy-3.14.3-40.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.1.17-300.fc30.x86_64
type:           libreport

Potential duplicate: bug 1659341

Comment 1 Ben Cotton 2020-04-30 21:26:45 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:24:13 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.